Foxit PDF SDK

Public Member Functions | List of all members
com.foxit.sdk.addon.optimization.AuditSpaceSize Class Reference

Structure of audit space, the unit is byte type.
More...

## Public Member Functions
| AuditSpaceSize ()
| Constructor.
synchronized void | delete ()
| Clean up related C++ resources immediately. More...
int | getAcroforms ()
| Get total size of AcroForm data in bytes. More...
int | getBookmarks ()
| Get total size of bookmarks data in bytes. More...
int | getColor_space ()
| Get total size of color space definitions in bytes. More...
int | getComments_and_3d_contents ()
| Get total size of comments and 3D contents in bytes. More...
int | getContent_streams ()
| Get total size of all page content streams in bytes. More...
int | getCross_ref_tables ()
| Get total size of the cross-reference table in bytes. More...
int | getEmbed_files ()
| Get total size of embedded file streams in bytes. More...
int | getExtend_graphics_states ()
| Get total size of extended graphics states in bytes. More...
int | getFonts ()
| Get total size of embedded fonts in bytes. More...
int | getImages ()
| Get total size of embedded images in bytes. More...
int | getLink_annots ()
| Get total size of link annotations in bytes. More...
int | getNamed_destnations ()
| Get total size of named destinations in bytes. More...
int | getPattern_infos ()
| Get total size of pattern objects in bytes. More...
int | getPiece_infos ()
| Get total size of piece information in bytes. More...
int | getShading_pattern_infos ()
| Get total size of shading pattern information in bytes. More...
int | getStructure_infos ()
| Get total size of structural information in bytes. More...
int | getThumbs ()
| Get total size of page thumbnails in bytes. More...
int | getWeb_infos ()
| Get total size of web-related metadata in bytes. More...
int | getX_object_forms ()
| Get total size of XObject Forms in bytes. More...
void | setAcroforms (int value)
| Set total size of AcroForm data in bytes. More...
void | setBookmarks (int value)
| Set total size of bookmarks data in bytes. More...
void | setColor_space (int value)
| Set total size of color space definitions in bytes. More...
void | setComments_and_3d_contents (int value)
| Set total size of comments and 3D contents in bytes. More...
void | setContent_streams (int value)
| Set total size of all page content streams in bytes. More...
void | setCross_ref_tables (int value)
| Set total size of the cross-reference table in bytes. More...
void | setEmbed_files (int value)
| Set total size of embedded file streams in bytes. More...
void | setExtend_graphics_states (int value)
| Set total size of extended graphics states in bytes. More...
void | setFonts (int value)
| Set total size of embedded fonts in bytes. More...
void | setImages (int value)
| Set total size of embedded images in bytes. More...
void | setLink_annots (int value)
| Set total size of link annotations in bytes. More...
void | setNamed_destnations (int value)
| Set total size of named destinations in bytes. More...
void | setPattern_infos (int value)
| Set total size of pattern objects in bytes. More...
void | setPiece_infos (int value)
| Set total size of piece information in bytes. More...
void | setShading_pattern_infos (int value)
| Set total size of shading pattern information in bytes. More...
void | setStructure_infos (int value)
| Set total size of structural information in bytes. More...
void | setThumbs (int value)
| Set total size of page thumbnails in bytes. More...
void | setWeb_infos (int value)
| Set total size of web-related metadata in bytes. More...
void | setX_object_forms (int value)
| Set total size of XObject Forms in bytes. More...

## Detailed Description

Structure of audit space, the unit is byte type.

## Member Function Documentation

## ◆ delete()

synchronized void com.foxit.sdk.addon.optimization.AuditSpaceSize.delete | ( |  | ) |

Clean up related C++ resources immediately.

Returns
  None.

Note
  Once this function is called, current object cannot be used anymore.

## ◆ getAcroforms()

com.foxit.sdk.addon.optimization.AuditSpaceSize.getAcroforms | ( |  | ) |

Get total size of AcroForm data in bytes.

AcroForms define interactive form fields in PDF documents.

Returns
  Total size of AcroForm data in bytes.

## ◆ getBookmarks()

com.foxit.sdk.addon.optimization.AuditSpaceSize.getBookmarks | ( |  | ) |

Get total size of bookmarks data in bytes.

Bookmarks (or outlines) help navigate a PDF document's content hierarchy.

Returns
  Total size of bookmarks data in bytes.

## ◆ getColor_space()

com.foxit.sdk.addon.optimization.AuditSpaceSize.getColor_space | ( |  | ) |

Get total size of color space definitions in bytes.

Includes all color space objects like ICC profiles, CalRGB, DeviceN, etc.

Returns
  Total size of color space definitions in bytes.

## ◆ getComments_and_3d_contents()

com.foxit.sdk.addon.optimization.AuditSpaceSize.getComments_and_3d_contents | ( |  | ) |

Get total size of comments and 3D contents in bytes.

Includes PDF comments and embedded 3D object data, such as U3D or PRC models.

Returns
  Total size of comments and 3D contents in bytes.

## ◆ getContent_streams()

com.foxit.sdk.addon.optimization.AuditSpaceSize.getContent_streams | ( |  | ) |

Get total size of all page content streams in bytes.

Content streams include the actual PDF instructions for rendering page content.

Returns
  Total size of all page content streams in bytes.

## ◆ getCross_ref_tables()

com.foxit.sdk.addon.optimization.AuditSpaceSize.getCross_ref_tables | ( |  | ) |

Get total size of the cross-reference table in bytes.

The cross-reference table maps object numbers to byte offsets in the PDF file.

Returns
  Total size of the cross-reference table in bytes.

## ◆ getEmbed_files()

com.foxit.sdk.addon.optimization.AuditSpaceSize.getEmbed_files | ( |  | ) |

Get total size of embedded file streams in bytes.

Embedded files include attachments such as spreadsheets, text files, or other documents.

Returns
  Total size of embedded file streams in bytes.

## ◆ getExtend_graphics_states()

com.foxit.sdk.addon.optimization.AuditSpaceSize.getExtend_graphics_states | ( |  | ) |

Get total size of extended graphics states in bytes.

Extended graphics states control rendering properties like transparency, blend modes, and line styles.

Returns
  Total size of extended graphics states in bytes.

## ◆ getFonts()

com.foxit.sdk.addon.optimization.AuditSpaceSize.getFonts | ( |  | ) |

Get total size of embedded fonts in bytes.

Includes both fully and partially embedded font programs.

Returns
  Total size of embedded fonts in bytes.

## ◆ getImages()

com.foxit.sdk.addon.optimization.AuditSpaceSize.getImages | ( |  | ) |

Get total size of embedded images in bytes.

Includes all raster images used across the document.

Returns
  Total size of embedded images in bytes.

## ◆ getLink_annots()

com.foxit.sdk.addon.optimization.AuditSpaceSize.getLink_annots | ( |  | ) |

Get total size of link annotations in bytes.

Includes all hyperlink and navigation annotations within the document.

Returns
  Total size of link annotations in bytes.

## ◆ getNamed_destnations()

com.foxit.sdk.addon.optimization.AuditSpaceSize.getNamed_destnations | ( |  | ) |

Get total size of named destinations in bytes.

Named destinations are predefined navigation targets used by links and outlines.

Returns
  Total size of named destinations in bytes.

## ◆ getPattern_infos()

com.foxit.sdk.addon.optimization.AuditSpaceSize.getPattern_infos | ( |  | ) |

Get total size of pattern objects in bytes.

Includes tiling and shading patterns used for fills and strokes.

Returns
  Total size of pattern objects in bytes.

## ◆ getPiece_infos()

com.foxit.sdk.addon.optimization.AuditSpaceSize.getPiece_infos | ( |  | ) |

Get total size of piece information in bytes.

PieceInfo is used by some workflows to store private application data.

Returns
  Total size of piece information in bytes.

## ◆ getShading_pattern_infos()

com.foxit.sdk.addon.optimization.AuditSpaceSize.getShading_pattern_infos | ( |  | ) |

Get total size of shading pattern information in bytes.

Covers all shading patterns used for gradient fills.

Returns
  Total size of shading pattern information in bytes.

## ◆ getStructure_infos()

com.foxit.sdk.addon.optimization.AuditSpaceSize.getStructure_infos | ( |  | ) |

Get total size of structural information in bytes.

Structural information includes tagged PDF structures used for accessibility and reflow.

Returns
  Total size of structural information in bytes.

## ◆ getThumbs()

com.foxit.sdk.addon.optimization.AuditSpaceSize.getThumbs | ( |  | ) |

Get total size of page thumbnails in bytes.

Thumbnails are small preview images associated with pages.

Returns
  Total size of page thumbnails in bytes.

## ◆ getWeb_infos()

com.foxit.sdk.addon.optimization.AuditSpaceSize.getWeb_infos | ( |  | ) |

Get total size of web-related metadata in bytes.

Web info may include additional metadata used for web viewing or cataloging.

Returns
  Total size of web-related metadata in bytes.

## ◆ getX_object_forms()

com.foxit.sdk.addon.optimization.AuditSpaceSize.getX_object_forms | ( |  | ) |

Get total size of XObject Forms in bytes.

XObject Forms are reusable content streams that can be drawn multiple times.

Returns
  Total size of XObject Forms in bytes.

## ◆ setAcroforms()

com.foxit.sdk.addon.optimization.AuditSpaceSize.setAcroforms | ( | int | value | ) |

Set total size of AcroForm data in bytes.

AcroForms define interactive form fields in PDF documents.

Parameters

  [in] | value | Total size of AcroForm data in bytes.

Returns
  None.

## ◆ setBookmarks()

com.foxit.sdk.addon.optimization.AuditSpaceSize.setBookmarks | ( | int | value | ) |

Set total size of bookmarks data in bytes.

Bookmarks (or outlines) help navigate a PDF document's content hierarchy.

Parameters

  [in] | value | Total size of bookmarks data in bytes.

Returns
  None.

## ◆ setColor_space()

com.foxit.sdk.addon.optimization.AuditSpaceSize.setColor_space | ( | int | value | ) |

Set total size of color space definitions in bytes.

Includes all color space objects like ICC profiles, CalRGB, DeviceN, etc.

Parameters

  [in] | value | Total size of color space definitions in bytes.

Returns
  None.

## ◆ setComments_and_3d_contents()

com.foxit.sdk.addon.optimization.AuditSpaceSize.setComments_and_3d_contents | ( | int | value | ) |

Set total size of comments and 3D contents in bytes.

Includes PDF comments and embedded 3D object data, such as U3D or PRC models.

Parameters

  [in] | value | Total size of comments and 3D contents in bytes.

Returns
  None.

## ◆ setContent_streams()

com.foxit.sdk.addon.optimization.AuditSpaceSize.setContent_streams | ( | int | value | ) |

Set total size of all page content streams in bytes.

Content streams include the actual PDF instructions for rendering page content.

Parameters

  [in] | value | Total size of all page content streams in bytes.

Returns
  None.

## ◆ setCross_ref_tables()

com.foxit.sdk.addon.optimization.AuditSpaceSize.setCross_ref_tables | ( | int | value | ) |

Set total size of the cross-reference table in bytes.

The cross-reference table maps object numbers to byte offsets in the PDF file.

Parameters

  [in] | value | Total size of the cross-reference table in bytes.

Returns
  None.

## ◆ setEmbed_files()

com.foxit.sdk.addon.optimization.AuditSpaceSize.setEmbed_files | ( | int | value | ) |

Set total size of embedded file streams in bytes.

Embedded files include attachments such as spreadsheets, text files, or other documents.

Parameters

  [in] | value | Total size of embedded file streams in bytes.

Returns
  None.

## ◆ setExtend_graphics_states()

com.foxit.sdk.addon.optimization.AuditSpaceSize.setExtend_graphics_states | ( | int | value | ) |

Set total size of extended graphics states in bytes.

Extended graphics states control rendering properties like transparency, blend modes, and line styles.

Parameters

  [in] | value | Total size of extended graphics states in bytes.

Returns
  None.

## ◆ setFonts()

com.foxit.sdk.addon.optimization.AuditSpaceSize.setFonts | ( | int | value | ) |

Set total size of embedded fonts in bytes.

Includes both fully and partially embedded font programs.

Parameters

  [in] | value | Total size of embedded fonts in bytes.

Returns
  None.

## ◆ setImages()

com.foxit.sdk.addon.optimization.AuditSpaceSize.setImages | ( | int | value | ) |

Set total size of embedded images in bytes.

Includes all raster images used across the document.

Parameters

  [in] | value | Total size of embedded images in bytes.

Returns
  None.

## ◆ setLink_annots()

com.foxit.sdk.addon.optimization.AuditSpaceSize.setLink_annots | ( | int | value | ) |

Set total size of link annotations in bytes.

Includes all hyperlink and navigation annotations within the document.

Parameters

  [in] | value | Total size of link annotations in bytes.

Returns
  None.

## ◆ setNamed_destnations()

com.foxit.sdk.addon.optimization.AuditSpaceSize.setNamed_destnations | ( | int | value | ) |

Set total size of named destinations in bytes.

Named destinations are predefined navigation targets used by links and outlines.

Parameters

  [in] | value | Total size of named destinations in bytes.

Returns
  None.

## ◆ setPattern_infos()

com.foxit.sdk.addon.optimization.AuditSpaceSize.setPattern_infos | ( | int | value | ) |

Set total size of pattern objects in bytes.

Includes tiling and shading patterns used for fills and strokes.

Parameters

  [in] | value | Total size of pattern objects in bytes.

Returns
  None.

## ◆ setPiece_infos()

com.foxit.sdk.addon.optimization.AuditSpaceSize.setPiece_infos | ( | int | value | ) |

Set total size of piece information in bytes.

PieceInfo is used by some workflows to store private application data.

Parameters

  [in] | value | Total size of piece information in bytes.

Returns
  None.

## ◆ setShading_pattern_infos()

com.foxit.sdk.addon.optimization.AuditSpaceSize.setShading_pattern_infos | ( | int | value | ) |

Set total size of shading pattern information in bytes.

Covers all shading patterns used for gradient fills.

Parameters

  [in] | value | Total size of shading pattern information in bytes.

Returns
  None.

## ◆ setStructure_infos()

com.foxit.sdk.addon.optimization.AuditSpaceSize.setStructure_infos | ( | int | value | ) |

Set total size of structural information in bytes.

Structural information includes tagged PDF structures used for accessibility and reflow.

Parameters

  [in] | value | Total size of structural information in bytes.

Returns
  None.

## ◆ setThumbs()

com.foxit.sdk.addon.optimization.AuditSpaceSize.setThumbs | ( | int | value | ) |

Set total size of page thumbnails in bytes.

Thumbnails are small preview images associated with pages.

Parameters

  [in] | value | Total size of page thumbnails in bytes.

Returns
  None.

## ◆ setWeb_infos()

com.foxit.sdk.addon.optimization.AuditSpaceSize.setWeb_infos | ( | int | value | ) |

Set total size of web-related metadata in bytes.

Web info may include additional metadata used for web viewing or cataloging.

Parameters

  [in] | value | Total size of web-related metadata in bytes.

Returns
  None.

## ◆ setX_object_forms()

com.foxit.sdk.addon.optimization.AuditSpaceSize.setX_object_forms | ( | int | value | ) |

Set total size of XObject Forms in bytes.

XObject Forms are reusable content streams that can be drawn multiple times.

Parameters

  [in] | value | Total size of XObject Forms in bytes.

Returns
  None.